// __author__ = Juan Carlos De Abreu (jcabreur@gmail.com)

#ifndef DATA_ID_H__
#define DATA_ID_H__
 
#include "../SceneFile.h"
 
BEGIN_TEG_NAMESPACE();

class DataID : public IData {
public:
	std::string value;

	DataID(const std::string& _value) : IData(DATA_ID), value(_value) { }
	~DataID() { }

	void print() {
		printf("%s", value.c_str());
	}

	SmartPointer<IData> resolve(std::map<std::string, SmartPointer<IData>>& variables);
  AUTO_SIZE();
 };

inline SmartPointer<DataID> castToDataID(spDATA d) {
	return SmartPointer<DataID>(dynamic_cast<DataID*>((IData*) d));
}

END_TEG_NAMESPACE();

#endif  // DATA_ID_H__
